package simulacion;


/**
 * Write a description of class PageRnak here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class MatrizGoogle extends Matriz
{
    private static final double EPSILON = 0.0001;    
    
    /**
     * Construye una matriz con todo ceros de tamao totalWebs x totalWebs
     */
    public MatrizGoogle(int totalWebs)
    {
        super(totalWebs, totalWebs);
        for (int i = 0; i < getDimensionFila(); i++) {
            setIJ(i,i,0);
        }
    }
    
    /**
     * Retorna el total de webs
     * @return total de webs
     */
    public int getTotalWebs()
    {
        return getDimensionFila();
    }
    
    /**
     * Calcula page rank con los datos introducidos en la matriz.
     * @return una matriz columna de tamao totalwebs x 1 con PageRank calculados.
     */
    public Matriz calcularPageRank() {
        //HACER
    }
    
    /**
     * Halla la distancia entre dos vectores columna.
     * @param m1 vector columna
     * @param m2 vector columna
     * @return distancia entre m1 y m2
     */
    private static double hallarDistancia(Matriz m1, Matriz m2)
    {
        double sol = 0;
        for (int i = 0; i < m1.getDimensionFila(); i++) {
            sol += (m1.getIJ(i,0) - m2.getIJ(i,0))*(m1.getIJ(i,0) - m2.getIJ(i,0));
        }
        return Math.sqrt(sol);
    }
       
    
    public static void main(String[] args) 
    {
        MatrizGoogle g = new MatrizGoogle(3);
        g.setIJ(0,0,0.05);
        g.setIJ(0,1,0.05);
        g.setIJ(0,2,0.475);
        g.setIJ(1,0,0.475);
        g.setIJ(1,1,0.05);
        g.setIJ(1,2,0.475);
        g.setIJ(2,0,0.475);
        g.setIJ(2,1,0.9);
        g.setIJ(2,2,0.05);
        
        Matriz ranking = g.calcularPageRank();
        for (int i = 0; i < ranking.getDimensionFila(); i++) {
            System.out.println(ranking.getIJ(i,0));
        }
    }
   
}
